﻿@model EditProjectViewModel

@{
    ViewData["Section"] = "ICO";

    Layout = "~/Views/Shared/_DashboardLayout.cshtml";

    var title = Model == null ? "New ICO" : "Edit ICO";

    ViewData["Title"] = title;

    var campaignLive = Model?.Live ?? false;

    var disabledIfStarted = campaignLive ? "disabled" : "";
}




<div class="content">
    <div class="card">
        <div class="card-header">
            <form asp-action="update" enctype="multipart/form-data">
                <div class="col-md-10 mr-auto ml-auto mt-5" id="app">
                    <ul class="nav nav-pills nav-pills-primary nav-pills-icons" role="tablist">
                        <!--
                            color-classes: "nav-pills-primary", "nav-pills-info", "nav-pills-success", "nav-pills-warning","nav-pills-danger"
                        -->
                        <li class="nav-item">
                            <a class="nav-link active" href="#wizardDetails" role="tab" data-toggle="tab">
                                <i class="now-ui-icons business_bulb-63"></i>
                                1. Details
                            </a>
                        </li>
                        <li class="nav-item nav-pills-success">
                            <a class="nav-link" href="#wizardContent" role="tab" data-toggle="tab">
                                <i class="now-ui-icons text_align-left"></i>
                                2. Content
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#wizardTeam" role="tab" data-toggle="tab">
                                <i class="now-ui-icons users_single-02"></i>
                                3. Team
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#wizardFunding" role="tab" data-toggle="tab">
                                <i class="now-ui-icons shopping_credit-card"></i>
                                4. Funding
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#wizardLaunch" role="tab" data-toggle="tab">
                                <i class="now-ui-icons ui-1_check"></i>
                                5. Launch
                            </a>
                        </li>
                    </ul>

                    <div class="tab-content tab-space">
                        <div class="tab-pane active" id="wizardDetails">
                            <div class="row justify-content-center">
                                <div class="col-sm-12">
                                    <div class="form-group row">
                                        <label class="col-sm-3 col-form-label col-form-label-lg">Title</label>
                                        <div class="col-sm-9">
                                            <input name="Name" class="form-control form-control-lg" @disabledIfStarted />
                                            <span asp-validation-for="Name" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-sm-3 col-form-label col-form-label-lg">
                                            Tagline
                                        </label>
                                        <div class="col-sm-9">
                                            <input name="Description" class="form-control" @disabledIfStarted />
                                            <span asp-validation-for="Description" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-sm-3 col-form-label col-form-label-lg">End Date</label>
                                        <div class="col-sm-9">
                                            <input type="text" name="EndTime" class="form-control datetimepicker" value="@Model?.EndTime" />
                                            <span asp-validation-for="EndTime" class="text-danger"></span>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-3 col-form-label col-form-label-lg">
                                            Icon<br /><small class="text-muted">360 x 180</small>
                                        </label>
                                        <div class="col-sm-9">
                                            <div class="fileinput fileinput-new text-center" data-provides="fileinput">
                                                <div class="fileinput-new thumbnail img-raised">
                                                    <img src="~/dashboard/img/PlaceholderIcon.png" alt="360 x 180">
                                                </div>
                                                <div class="fileinput-preview fileinput-exists thumbnail img-raised"></div>
                                                <div>
                                                    <span class="btn btn-raised btn-round btn-default btn-file">
                                                        <span class="fileinput-new">Select image</span>
                                                        <span class="fileinput-exists">Change</span>
                                                        <input type="file" name="Logo" />
                                                    </span>
                                                    <a href="#pablo" class="btn btn-danger btn-round fileinput-exists" data-dismiss="fileinput">
                                                        <i class="fa fa-times"></i> Remove
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-sm-3 col-form-label col-form-label-lg">
                                            Banner<br /><small class="text-muted">1024 x 512</small>
                                        </label>
                                        <div class="col-sm-9">
                                            <div class="fileinput fileinput-new text-center" data-provides="fileinput">
                                                <div class="fileinput-new thumbnail img-raised">
                                                    <img src="~/dashboard/img/PlaceholderBanner.png" alt="1024 x 512">
                                                </div>
                                                <div class="fileinput-preview fileinput-exists thumbnail img-raised"></div>
                                                <div>
                                                    <span class="btn btn-raised btn-round btn-default btn-file">
                                                        <span class="fileinput-new">Select image</span>
                                                        <span class="fileinput-exists">Change</span>
                                                        <input type="file" name="Banner" />
                                                    </span>
                                                    <a href="#pablo" class="btn btn-danger btn-round fileinput-exists" data-dismiss="fileinput">
                                                        <i class="fa fa-times"></i> Remove
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="wizardContent">
                            <div class="row justify-content-center">
                                <div class="col-sm-12">
                                    <textarea id="contentTextArea" name="Content">@Model?.Content</textarea>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="wizardTeam">
                            <div class="row justify-content-center">
                                <div class="col-sm-12" id="teamMembers">

                                </div>
                            </div>
                            <div class="row justify-content-center">
                                <a class="btn btn-primary btn-lg" onclick="addTeamMember()">Add Another Team Member</a>
                            </div>
                        </div>

                        <div class="tab-pane" id="wizardFunding">
                            <div class="row justify-content-center">
                                <div class="col-sm-12">
                                    <div class="form-group row">
                                        <label class="col-sm-3 col-form-label col-form-label-lg">Funding Target (XLM)</label>
                                        <div class="col-sm-9">
                                            <input name="Target" v-model="target" class="form-control" @disabledIfStarted />
                                            <span asp-validation-for="Target" class="text-danger"></span>
                                            <small class="text-muted">Minimum 5000 XLM</small>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label class="col-sm-3 col-form-label col-form-label-lg">Payment Methods</label>
                                        <div class="col-sm-9">
                                            <div class="form-check">
                                                <label class="form-check-label">
                                                    <input class="form-check-input" type="checkbox" value="" checked>
                                                    Stellar Lumens
                                                    <span class="form-check-sign">
                                                        <span class="check"></span>
                                                    </span>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label">
                                                    <input class="form-check-input" type="checkbox" value="">
                                                    Ethereum
                                                    <span class="form-check-sign">
                                                        <span class="check"></span>
                                                    </span>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label">
                                                    <input class="form-check-input" type="checkbox" value="">
                                                    Bitcoin
                                                    <span class="form-check-sign">
                                                        <span class="check"></span>
                                                    </span>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label">
                                                    <input class="form-check-input" type="checkbox" value="">
                                                    Credit Card
                                                    <span class="form-check-sign">
                                                        <span class="check"></span>
                                                    </span>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label">
                                                    <input class="form-check-input" type="checkbox" value="">
                                                    Bank Transfer
                                                    <span class="form-check-sign">
                                                        <span class="check"></span>
                                                    </span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" id="wizardLaunch">
                            <div class="row justify-content-center">
                                <div class="col-sm-12">
                                    <p>
                                        When you're ready, click the Launch button and start receiving funds
                                    </p>
                                    <button class="btn btn-primary btn-lg">Launch</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@section Scripts {
    <script src="~/tinymce/tinymce.min.js"></script>
    <script>
        tinymce.init({
            selector: '#contentTextArea',
            menubar: false,
            height: 500
        });

        var membersCount = 0;

        function addTeamMember() {
            var newTeamMember =
                '<div class="form-group row">\n' +
                '    <label class="col-sm-3 col-form-label col-form-label-lg">Name</label>\n' +
                '    <div class="col-sm-9">\n' +
                '        <input name="TeamMembers[' + membersCount + '].Name" class="form-control" />' +
                '    </div>\n' +
                '    <!--<div class="col-sm-1">\n' +
                '        <a class="btn btn-danger btn-sm btn-icon"><i class="now-ui-icons ui-1_simple-remove"></i></a>\n' +
                '    </div>-->\n' +
                '</div>\n' +
                '<div class="form-group row">\n' +
                '    <label class="col-sm-3 col-form-label col-form-label-lg">Role</label>\n' +
                '    <div class="col-sm-9">\n' +
                '        <input name="TeamMembers[' + membersCount + '].Role" class="form-control" />' +
                '    </div>\n' +
                '</div>\n' +
                '<div class="form-group row">\n' +
                '    <label class="col-sm-3 col-form-label col-form-label-lg">\n' +
                '        Banner<br /><small class="text-muted">256 x 256</small>\n' +
                '    </label>\n' +
                '    <div class="col-sm-9">\n' +
                '        <div class="fileinput fileinput-new text-center" data-provides="fileinput">\n' +
                '            <div class="fileinput-new thumbnail img-raised">\n' +
                '                <img src="/dashboard/img/PlaceholderProfile.png" alt="256 x 256">\n' +
                '            </div>\n' +
                '            <div class="fileinput-preview fileinput-exists thumbnail img-raised"></div>\n' +
                '            <div>\n' +
                '                <span class="btn btn-raised btn-round btn-default btn-file">\n' +
                '                    <span class="fileinput-new">Select image</span>\n' +
                '                    <span class="fileinput-exists">Change</span>\n' +
                '                    <input type="file" name="TeamMembers[' + membersCount + '].Profile" />\n' +
                '                </span>\n' +
                '                <a href="#pablo" class="btn btn-danger btn-round fileinput-exists" data-dismiss="fileinput">\n' +
                '                    <i class="fa fa-times"></i> Remove\n' +
                '                </a>\n' +
                '            </div>\n' +
                '        </div>\n' +
                '    </div>\n' +
                '</div>';

            $('#teamMembers').append(newTeamMember);

            ++membersCount;
        }

        addTeamMember();
        
            $('.datetimepicker').datetimepicker({
                icons: {
                    time: "fa fa-clock-o",
                    date: "fa fa-calendar",
                    up: "fa fa-chevron-up",
                    down: "fa fa-chevron-down",
                    previous: 'fa fa-chevron-left',
                    next: 'fa fa-chevron-right',
                    today: 'fa fa-screenshot',
                    clear: 'fa fa-trash',
                    close: 'fa fa-remove'
                },
                format: 'DD/MM/YYYY'
            });
    </script>
}